Bug 16145 - [gtk] Implement media support in GTK backend
: [gtk] Implement media support in GTK backend
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 523.x (Safari 3)
: PC Linux
: P2 Enhancement
Assigned To: Nobody
: Gtk
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 12:35 PST by Pierre-Luc Beaudoin
Modified: 2007-12-05 21:39 PST (History)
3 users (show)

See Also:


Attachments
First try (30.66 KB, patch)
2007-12-03 09:57 PST, Pierre-Luc Beaudoin
no flags Details | Formatted Diff | Diff
2nd try (29.66 KB, patch)
2007-12-03 15:36 PST, Pierre-Luc Beaudoin
no flags Details | Formatted Diff | Diff
More clean-up (9.25 KB, patch)
2007-12-05 13:19 PST, Pierre-Luc Beaudoin
alp: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre-Luc Beaudoin 2007-11-26 12:35:47 PST
The GTK+ backend currently doesn't implement media playback support for HTML 5. It should be done with GStreamer.

I am working on it.
Comment 1 Mark Rowe (bdash) 2007-11-26 18:43:05 PST
Nice!
Comment 2 Pierre-Luc Beaudoin 2007-12-03 09:57:30 PST
Created attachment 17677 [details]
First try

First version to be reviewed.
Comment 3 Alp Toker 2007-12-03 12:50:51 PST
I haven't looked too closely yet, but apart from the small coding issues we discussed earlier, this looks great!

+gtk-port:DEFINES += ENABLE_VIDEO=1

We'll need to change that so VIDEO is only enabled when gtk-port is being compiled using the x11 backend, since the GStreamer backend is x11-specific right now.

In fact it might be best to have video disabled by default for a couple of weeks until we make the feature usable and figure out how check for availability of GStreamer/gnome-vfs properly in the build system.

I'd be happy to help complete this feature at some point (making the video render in the right place) if you don't have the time to do it yourself.

Really nice work :-)
Comment 4 Pierre-Luc Beaudoin 2007-12-03 15:36:10 PST
Created attachment 17685 [details]
2nd try

Fix licensing (now LGPL), re-apply coding conventions, disable by default on Gtk+ port.
Comment 5 Alp Toker 2007-12-04 08:35:13 PST
Comment on attachment 17685 [details]
2nd try

r=me

There are a few glaring style issues I'll clean up before landing, and a few more that should probably be fixed once this is in, hopefully along with patches to complete the feature.

Thanks!
Comment 6 Alp Toker 2007-12-04 08:52:17 PST
Landed in r28389 with a few minor cleanups. Thanks!
Comment 7 Pierre-Luc Beaudoin 2007-12-05 13:19:13 PST
Created attachment 17725 [details]
More clean-up

Further clean up of the code.  Removed unnecessary code and commented code.  Variables now uses the code style guidelines.
Comment 8 Mark Rowe (bdash) 2007-12-05 19:47:47 PST
Comment on attachment 17685 [details]
2nd try

Clearing review flag as this was landed.
Comment 9 Alp Toker 2007-12-05 21:39:42 PST
Comment on attachment 17725 [details]
More clean-up

r=me

Looking much cleaner.

ChangeLog next time please.